Subject: Re: bug#32607: 27.0.50; pop-to-buffer in next-error-no-select

From: martin rudalics <[email-masked]>
Date: Mon, 10 Sep 2018 10:29:47 +0200

>> If the purpose of 'next-error-no-select' is simply to not select the
 >> window of the locus buffer, then 'next-error-no-select' should no rely
 >> on 'next-error'.  Rather we should provide a generic function to
 >> display the locus buffer and have 'next-error' select the window used
 >
 > Maybe you mean something like
 >
 >    (save-window-excursion (next-error))

Certainly not because that function may have to display the locus
buffer in a new window.

martin